Subject: Re: hpfsc on syntax checking

From: Zheng Gengbing <[email-masked]>
Date: Wed, 19 Jun 1996 09:33:23 +0800 (EAT)

On Tue, 18 Jun 1996, Guansong Zhang wrote:

> When I run hpfsc on syntax checking test1.f. I got the following (Line number
> may be a little different on your machine.)
> 
> hpfsc: line 2181 warning 143:Label : 1330 is  defined but never used .
> hpfsc: line 2322 error 599:Entry 'ent1' declared no type .
> hpfsc: line 2372 error 599:Entry 'ent2' declared no type .
> 
> I think previously it is some other place which I described as IBM will give a
> syntax error, while ours give a semantics error.
> 
> In fact, I want to ask you detailed about this so I can check with the test
> program developer.
> 
> I am puzzled now.
> 
> Guansong
> 

	I have no time to  check this problem carefuy now . The last two error
is because in function contain the two entry , a implicit none cause the
entry declaration have no type .

Gengbin